//shortcuts
$s: solid;
$a: absolute;
$tb: 200px;
$lr: 300px;
$br: 10px;
//color variables
$left: #ffa7da;
$right: #f588be;
$bottom: #da86b0;
$txt: #b0b0b0;
$top: #f59dc9;

body {
  font-family: "Avenir", "Avenir Next", "Montserrat", "Roboto", cursive;
  line-height: 1.4;
}

.waxSeal {
  display: inline-block;
  position: relative;
  margin: auto;
  & > * {
    width: 200px;
    position: absolute;
    top: -100px;
    left: -100px;
  }
  .message {
    top: -50px;
    left: -100px;
    text-align: center;
  }
}

.container,
.envelope,
.flip,
.letter,
.text {
  position: $a;
}

.container {
  position: relative;
  margin: 250px auto;
  height: 420px;
  width: 600px;
  background: #ddd;
  border-radius: $br;
  box-shadow: 0px 0px 3px #000;
}
.envelope {
  border-top: $tb $s transparent;
  border-left: $lr $s $left;
  border-bottom: $tb $s $bottom;
  border-right: $lr $s $right;
  border-radius: $br;
  z-index: 9;
}
.flip {
  top: 0;
  left: 0;
  border-top: $tb $s $top;
  border-left: $lr $s transparent;
  border-bottom: $tb $s transparent;
  border-right: $lr $s transparent;
  border-radius: $br;
  z-index: 6;
}
.letter {
  top: 0px;
  left: 5px;
  width: 510px;
  padding: 40px;
  background: #ddd;
  border-radius: $br;
  z-index: 5;

  img {
    max-width: 100%;
  }
}
.text {
  padding: 0 10px;
}

/*Classes to be Added and removed*/
.open {
  .flip {
    animation: flipOpen 0.8s ease-in forwards;
  }
}

.open {
  .letter {
    animation: letterOpen 0.8s ease-in forwards;
  }
}

//animations
@keyframes flipOpen {
  0% {
    transform: rotateX(0deg);
    transform-origin: center top;
  }
  100% {
    transform: rotateX(180deg);
    transform-origin: center top;
  }
}

@keyframes letterOpen {
  0% {
    top: 0;
  }
  50% {
    z-index: 0;
  }
  51% {
    z-index: 7;
  }
  100% {
    top: -7vw;
    z-index: 10;
  }
}
